/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Controller;

import Dao.CBSAccountMappingDao;
import DataEntryBean.ChequeDetailsBean;
import java.io.IOException;
import java.util.ArrayList;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 *
 * @author 1004242
 */
public class CBSAccountMappingServlet extends HttpServlet{
  @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        HttpSession session = request.getSession(false);
        String pacsId = (String) session.getAttribute("pacsId");
        String tellerId = (String)session.getAttribute("user");
        CBSAccountMappingDao aiDao = new CBSAccountMappingDao();
        String result = null;
      

        try{
            
           // String accNo = request.getParameter("accNo");
           // String newcbsAccount = request.getParameter("cbsAccount");
           // String newCheckOpt = request.getParameter("checkOption");
           // String newpin = request.getParameter("PIN");
           // String currAcc = request.getParameter("currAccount");
            result = aiDao.CBSAccountMappingProc(pacsId, tellerId, accNo, newcbsAccount, newCheckOpt, newpin, currAcc);

            request.setAttribute("message1", result);
           // request.getRequestDispatcher("/Deposit/CBSAccountMapping.jsp").forward(request, response);

        } catch (Exception e) {
           // e.printStackTrace();
            System.out.println("Error occurred during processing.");
            request.setAttribute("message1", "Error occured. Please try again");
           // request.getRequestDispatcher("/Deposit/CBSAccountMapping.jsp").forward(request, response);
        } finally { 
            request.getRequestDispatcher("/Deposit/CBSAccountMapping.jsp").forward(request, response);                
        }
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */

    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
